#pragma once
#include "GameObject3D.h"

class MovementLogic
{
public:

    virtual void Cycle(float deltaMs)=0;
    virtual void Draw()=0;       // for debugging


protected:
    GameObject3D* m_pHostObject;

};
